Skip to main content

Verify payment status

GET 

https://core-prod.malipopay.co.tz/api/v1/payment/verify/:reference

Verifies the status of a payment using its reference code.

Request

Path Parameters

    reference stringrequired

    The unique payment reference.

Responses

Payment status verified successfully

Schema
    customer objectrequired
    _idstring

    Unique identifier for the customer.

    Example: 6281559426fa29659c5ac38a
    phoneNumberstring

    Phone number of the customer.

    Example: 255684118011
    firstnamestring

    First name of the customer.

    Example: FRANCIS
    lastnamestring

    Last name of the customer.

    Example: MWAKATUMBULA
    mnostring

    Mobile Network Operator name.

    Example: Airtel
    merchantAccountIdstringrequired

    Name of the merchant account.

    Example: Lockwood Technology
    modestringrequired

    Mode of payment processing.

    Example: CHARGE
    referencestringrequired

    Reference number for the payment.

    Example: ML21030
    amountintegerrequired

    Amount being charged.

    Example: 1000
    currencystringrequired

    Currency code for the transaction.

    Example: TZS
    linkstring

    Link to the payment gateway or receipt.

    statusstringrequired

    Current status of the payment.

    Example: PROCESSING

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L 'https://core-prod.malipopay.co.tz/api/v1/payment/verify/:reference' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Parameters
— pathrequired
Response

Click the Send API Request button above and see the response here!